/* file  : scala.css
   author: mics
   date  : July 2010
*/

a, a code { color:#006699; text-decoration:none; }

a.external, a.external code {
  white-space: nowrap;
  padding-right: 14px;
  background: url(../images/external.png) no-repeat 100% 50%;
}

a.pdf {
  white-space: nowrap;
  padding-right: 14px;
  background: url(../images/pdf-link.png) no-repeat 100% 50%;
}

@media print {

a.external, a.external code {
  padding-right: 0px;
  background: url(../images/external.png) no-repeat 0%;
}


a.pdf {
  padding-right: 0px;
  background: url(../images/pdf-link.png) no-repeat 0%;
}

}

a:active, a:active code { color:#f00; }
a:visited, a:visited code { color:#00008B; }

a.bull {
  font-size:0.75em;
  color:#94b922;
  margin:0 0 0 -2.22em;
}

a.tgz {
  white-space: nowrap;
  padding-right: 14px;
  background: url(../images/tgz-link.png) no-repeat 100% 50%;
}

a.zip {
  white-space: nowrap;
  padding-right: 14px;
  background: url(../images/zip-link.png) no-repeat 100% 50%;
}

blockquote.caution, blockquote.note, blockquote.warning {
  margin:0.4em 8em 1em 4em;
  padding:0 0.5em 0 0.5em;
  /*background-color:#eeeeee;*/
  border-left:solid 3px;
  font-size:80%;
}

blockquote.caution { border-color:#ffcf00; }
blockquote.note { border-color:#ffcf00; }
blockquote.warning { border-color:#aa0033; }

body {
  font-family:arial,sans-serif;
  color:#000;
  font-size:16px;
  color:#333;
  background-image:url(../images/bg_fade_scala.jpg);
  background-repeat:repeat-x;
}

code, pre {
  font-family:monospace;
  font-size:90%;
  /*line-height:1em;*/
}

#about div { font-size:x-small; color:#664444; }
#about div.about-left { float:left; padding:0 0.8em 0 1.4em; }
#about div.about-right { margin:0 4em 0 1.4em; }

@media print {
  #about div.about-right { margin:0 1.2em 0 1.2em; }
}

div.editor { font-size:80%; color:#999999; }

.title { font-style:italic; }

div.footer-info {
  clear:both;
  font-size:small;
  font-style:italic;
  color:gray;
}

div.footer-info hr {
  background-color:#ca0000;
  border:none;
  height:1px;
  margin:20px 4px 0 0;
}

div.footer-navi {
  float:right;
  color:#bc1212;
  padding:0 4px 4px 0;
}

div.footer-validate {
  float:right;
  padding-right:4px;
  font-style:normal;
  font-size:x-small;
  color:#bc1212;
}

@media print {
  div.footer-info hr { border:#ca0000 solid 1px; height:1px; }
  div.footer-navi { display:none; }
  div.footer-validate { display:none; }
}

div.footer-validate a { color:#bc1212; }
div.header-left { float:left; width:80%; }
div.header-left h1 { color:gray; }

div.header-right {
  float:right;
  text-align:right;
  padding:4px 4px 0 0;
  color:#bc1212;
}

div.header-right a { color:#bc1212; }

@media print {
  div.header-right { display:none; }
}

div.footnote { font-style:italic; color:red; }

div.section-navi {
  float:right;
  color:#bc1212;
  padding:0 4px 4px 0;
}

@media print {
  div.section-navi { display:none; }
}

div.section-info {
  clear:both;
  font-size:small;
  font-style:italic;
  color:gray;
}

div.section-info hr {
  background-color:#ca0000;
  border:none;
  height:2px;
  margin:20px 4px 0 0;
}

@media print {
  div.section-info hr { border:#ca0000 solid 1px; height:1px; }
}

h1 { color:gray; }

h4.header {
  margin:-1.2em 0 0.2em 0;
  font-style:italic;
  color:gray; /*lightgray;*/
}

hr {
  background-color:#ffefef; /*#ca0000;*/
  border:none;
  height:2px;
}

hr.header { height:3px; margin:20px 4px 30px 0; }

@media print {
  hr { border:#ca0000 solid 1px; height:0px; }
  hr.header { border:#ca0000 solid 1px; height:1px; }
}

li { padding:0 0 0.4em 0; }
li li { padding: 0 0 0.1em 0; }
li span.date { font-style:italic; }

p.table-caption { margin:1em 0 0.5em 1.8em; font-size:80%; }
p.table-footnote { margin:-0.8em 0 0 1.8em; font-size:70%; }

pre { /* see android-developer-docs.css */
  border:1px solid #ccc;
  background-color:#fafafa;
  padding:6px;
  margin:0.4em 2em 1em 1em;
  overflow:auto;
  line-height:inherit; /* fixes vertical scrolling in webkit */
}

span.ano { font-style:italic; }
span.atr { color:green; }
span.cmt { font-style:italic; color:green; }
span.kw { font-weight:bold; }
span.lit { color:#ee44aa; }
span.tag { font-weight:bold; color:green; }
span.upd { text-decoration:underline; }

span.ref, span.xref {
  font-size:90%;
  background-color:#ff9999;
  color:white;
}

span.ref a, span.xref a {
  font-weight:bold;
  color:white;
}

sup {
  font-size:x-small;
  font-style:italic;
  color:#9911ee;
}

@media print { /* see android-developer-docs.css */

  pre {
    /* these allow lines to break (if there's a white space) */
    overflow:visible;
    /* text-wrap:unrestricted; */
    /* white-space:-moz-pre-wrap; */ /* Moz */
    /* white-space:-pre-wrap; */ /* Opera 4-6 */
    /* white-space:-o-pre-wrap; */ /* Opera 7 */
    white-space:pre-wrap; /* CSS3  */
    /* word-wrap:break-word; */ /* IE 5.5+ */
  }

  span.xref { display:none; }

  table, img { page-break-inside:avoid; }

}

table { /* see android-developer-docs.css */
  font-size:1em;
  margin:0 0 1em 1.4em;
  padding:0;
  border-collapse:collapse;
  border-width:0;
  empty-cells:show;
}

td,th {
  border:1px solid #ccc;
  padding:6px 12px;
  text-align:left;
  vertical-align:top;
  background-color:inherit;
}

table.results td,th {
  padding:8px;
  text-align:center;
  font-size:80%;
  line-height:0.8em;
}

table.summary th {
  padding:4px;
}

table.summary td {
  padding:1px 4px 1px 4px;
}

table.archives { font-size:small; }
table.archives2 { font-size:small; }
table.archives2 td.md5 { text-align:center; }

@media print {
  table.archives { font-size:smaller; }
  table.archives2 { font-size:smaller; }
}

#change-history table { margin-right:0.4em; }
#change-history td { padding:3px; font-size:90%; }
#change-history td.date, td.version { text-align:center; }
#change-history td ul { margin:0; padding-top:0; }
#change-history td li { padding:0em; }
#change-history li p { margin-top:0;margin-bottom:0.4em; }
#change-history span.rem { font-style:italic; color:#666666; }

th { background-color:#dee8f1; }

ul { /*margin:-0.6em 0 0 0;*/ padding:0 0 0 1.4em; }

.sup {
  font-size:0.7em;
  color:blue;
  text-decoration:none;
  vertical-align:top;
  line-height:0.8em;
}

.book-info {
  margin:0.2em 60px 0 0.2em;
  padding:4px;
  background-color:#eeeeee;
  font-size:80%;
}

.book-title { font-style:italic; }

.comment { font-style:italic; color:gray; }

table .comment { text-align:center; }

.cls { font-size:80%; color:gray; }

/* Pretty printing styles. Used with prettify.js. */

.str { color: #080; }
.kwd { color: #008; }
.com { color: #800; }
.typ { color: #606; }
.lit { color: #066; }
.pun { color: #660; }
.pln { color: #000; }
dl.tag-list dt code,
.tag { color: #008; }
dl.atn-list dt code,
.atn { color: #828; }
.atv { color: #080; }
.dec { color: #606; }

@media print {
  .str { color: #060; }
  .kwd { color: #006; font-weight: bold; }
  .com { color: #600; font-style: italic; }
  .typ { color: #404; font-weight: bold; }
  .lit { color: #044; }
  .pun { color: #440; }
  .pln { color: #000; }
  .tag { color: #006; font-weight: bold; }
  .atn { color: #404; }
  .atv { color: #060; }
}

